Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class BlockingRuleType

    java.lang.Object
      com.sun.mdm.index.parser.BlockingRuleType

public class BlockingRuleType
extends java.lang.Object

Field Summary
`static int` | `TYPE_EXACT` blocking rule type exact
`static int` | `TYPE_NONE` blocking rule type none
`static int` | `TYPE_NYSIIS` blocking rule type nysiis
`static int` | `TYPE_SOUNDEX` blocking rule type soundex
`static int` | `TYPE_STARTSWITH` blocking rule type startswith

Constructor Summary
`BlockingRuleType(int type)` Creates new BlockingRule
`BlockingRuleType(java.lang.String tName, java.lang.String cName, int type, int priority)`

Method Summary
`java.lang.String` | `getColumnName()`
`int` | `getRuleType()`
`java.lang.String` | `getTableName()`
`static BlockingRuleType` | `parse(java.lang.String fieldName, int type, int priority)`
`void` | `parseField(java.lang.String fieldName)`
`void` | `setPriority(int p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_EXACT

    public static final int TYPE_EXACT

  blocking rule type exact

  See Also:
    Constant Field Values

### TYPE_NONE

    public static final int TYPE_NONE

  blocking rule type none

  See Also:
    Constant Field Values

### TYPE_NYSIIS

    public static final int TYPE_NYSIIS

  blocking rule type nysiis

  See Also:
    Constant Field Values

### TYPE_SOUNDEX

    public static final int TYPE_SOUNDEX

  blocking rule type soundex

  See Also:
    Constant Field Values

### TYPE_STARTSWITH

    public static final int TYPE_STARTSWITH

  blocking rule type startswith

  See Also:
    Constant Field Values

Constructor Detail

### BlockingRuleType

    public BlockingRuleType(int type)

  Creates new BlockingRule

  Parameters:
    `type` - type

### BlockingRuleType

    public BlockingRuleType(java.lang.String tName,
                            java.lang.String cName,
                            int type,
                            int priority)

  Parameters:
    `tName` - t name
    `cName` - c name
    `type` - type
    `priority` - priority

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Returns:
    String ret string

### getRuleType

    public int getRuleType()

  Returns:
    int ret int

### getTableName

    public java.lang.String getTableName()

  Returns:
    String ret string

### parse

    public static BlockingRuleType parse(java.lang.String fieldName,
                                         int type,
                                         int priority)

  Parameters:
    `fieldName` - field name
    `type` - type
    `priority` - priority
  Returns:
    BlockingRuleType blocking rule type

### parseField

    public void parseField(java.lang.String fieldName)

  Parameters:
    `fieldName` - field name

### setPriority

    public void setPriority(int p)

  Parameters:
    `p` - priority

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.